[user]
	name = Lukas Svoboda
	email = lukas.svoboda@hotmail.com
[push]
	default = simple
[alias]
	f = fetch
	# updates your branch with upstream (if fast-forward is possible)
	ff = !git merge --ff-only `git rev-parse --symbolic-full-name --abbrev-ref=strict HEAD@{u}`
	gui = !~/git/git-gui/git-gui.sh citool
	# prints patch from stash. Includes changes in untracked files. See siu alias
	pfsiu = !bash -c 'cat <(git stash show --no-color -p) <(git diff --no-color 4b825dc642cb6eb9a060e54bf8d69288fbee4904 stash^3)'
	fa = fetch --all
	fp = fetch --prune
	fap = fetch --all --prune --prune-tags
	rbom = rebase origin/master
	st = status
	cm = commit
	cma = commit --amend
	br = branch
	co = checkout
	# push set upstream to current branch
	psu = "!git push --set-upstream origin `git rev-parse --abbrev-ref HEAD` \"$1\" #"
	cp = cherry-pick
	siu = stash --include-untracked
	# stack all including untracked but leave staged intact
	siuk = stash --include-untracked --keep-index
	sl = stash list
	sp = stash pop
	df = diff
	rb = rebase
	rbi = rebase -i
	rbc = rebase --continue
	rh = reset --hard
	su = submodule update
	# graph for current branch
	l  = log --graph --decorate --pretty=oneline --abbrev-commit
	# graph for all branches
	ll = log --graph --decorate --pretty=oneline --abbrev-commit --all --date=iso
	# log for current branch showing diffs (-m is for showing mergecommits too)
	ld = log -p -m
	# log for current branch showing summary of changed files (-m is for showing mergecommits too)
	ls = log --stat -m
	# number of commits for each person
	stats = shortlog -n -s --no-merges
	# remove remote branch (remote must be named origin), usage: git rmb test
	rmb = !sh -c 'git push origin :$1' -
	# shows local > tracked remote
	brt = for-each-ref --format=\"%(refname:short) > %(upstream:short)\" refs/heads
	# get upstream tracked branch or error
	brtracked = rev-parse --symbolic-full-name --abbrev-ref=strict HEAD@{u}
	# commit all changes to a WIP commit
	wip = !git add $(git rev-parse --show-toplevel) && git commit -m WIP
	# special branches
	release = push origin HEAD:release
	selenium = push origin HEAD:selenium
	test = push origin HEAD:test
[http]
	sslVerify = false
	postBuffer = 524288000
	#proxy = http://proxy:3128
[core]
	eol = lf
	autocrlf = false
	askpass = 
	editor = vim
